package com.uniyaz.main.layouts;

import com.vaadin.ui.CustomLayout;

public class PageLayout extends CustomLayout {

	private static final long serialVersionUID = -254832138740752333L;
	private HeaderLayout headerLayout;
    private BodyLayout bodyLayout;
    private FooterLayout footerLayout;

    public PageLayout() {
		super("pageLayoutHtmlTemplate");
        
        headerLayout = new HeaderLayout();
        bodyLayout = new BodyLayout();
        footerLayout = new FooterLayout();
        
    	this.addComponent(headerLayout, "headerLayout");
    	this.addComponent(bodyLayout, "bodyLayout");
    	this.addComponent(footerLayout, "footerLayout");
    }

    public HeaderLayout getHeaderLayout() {
        return headerLayout;
    }

    public BodyLayout getBodyLayout() {
        return bodyLayout;
    }

    public FooterLayout getFooterLayout() {
        return footerLayout;
    }

	public void setHeaderLayout(HeaderLayout headerLayout) {
		this.headerLayout = headerLayout;
	}

	public void setBodyLayout(BodyLayout bodyLayout) {
		this.bodyLayout = bodyLayout;
	}

	public void setFooterLayout(FooterLayout footerLayout) {
		this.footerLayout = footerLayout;
	}
}
